
import arrow
import random

def random_arrow_format(date, timezone=None):
    """
    This function takes a date and an optional timezone and returns a formatted date string using Arrow.
    The format is randomly chosen from a predefined list of formats.
    """
    formats = ["YYYY-MM-DD HH:mm:ss", "DD/MM/YYYY HH:mm", "YYYY-MM-DDTHH:mm:ssZ", "YYYY/MM/DD"]
    random_format = random.choice(formats)
    date_with_timezone = arrow.get(date, "YYYY-MM-DD HH:mm:ss").to(timezone) if timezone else arrow.get(date, "YYYY-MM-DD HH:mm:ss")
    return date_with_timezone.format(random_format)



